document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_8300
--- +++ @@ -15,7 +15,7 @@ # vim ln -sf $DOTFILES/vim/vimrc $HOME/.vimrc ln -sf $DOTFILES/vim/gvimrc $HOME/.gvimrc -ln -sf $DOTFILES/vim/ftplugin $HOME/.vim/after/ftplugin +ln -sf $DOTFILES/vim/ftplugin $HOME/.vim/after ln -sf $DOTFILES/vim/UltiSnips $HOME/.vim/UltiSnips # tmux
bash
d_bash_8301
--- +++ @@ -1,7 +1,9 @@ #!/bin/sh -openstack user create --domain default --password $1 neutron -openstack role add --project service --user neutron admin -openstack service create --name neutron --description "OpenStack Networking" network -openstack endpoint create --region RegionOne network public http://$2:9696 ...
bash
d_bash_8302
--- +++ @@ -1,5 +1,5 @@ function ssh() { - keyLifeTime=1h + keyLifeTime=2h for key in ~/.ssh/id_*~*.pub; do ssh-key-added "$key" || _ssh-add -t $keyLifeTime "$key"
bash
d_bash_8303
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -function aBuild { +function anyBuild { START=$RANDOM END=$[ $START + ( $RANDOM % 100 ) ] if [[ $[ $RANDOM % 2 ] -eq 0 ]]; then @@ -8,6 +8,20 @@ else OUTCOME="fail" fi + aBuild $START $END $OUTCOME +} + +function aBrokenBuild { + START=$RA...
bash
d_bash_8304
--- +++ @@ -15,7 +15,7 @@ # Set the ASAN_SYMBOLIZER_PATH environment variable to point to the # llvm-symbolizer to make AddressSanitizer symbolize its output. This makes # the reports more human-readable. - export ASAN_SYMBOLIZER_PATH=/usr/lib/llvm-4.0/bin/llvm-symbolizer + export ASAN_SYMBOLIZER_PATH=/us...
bash
d_bash_8305
--- +++ @@ -3,7 +3,7 @@ case "$1" in java17) - echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk17-2021-09-15-08-15-beta/OpenJDK17-jdk_x64_linux_hotspot_2021-09-15-08-15.tar.gz" + echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk-17%2B35/OpenJDK17-jdk_x64_lin...
bash
d_bash_8306
--- +++ @@ -10,11 +10,14 @@ mainUpdate() { cd ${gitRepoFreeServerPath} - git stash + + git fetch currentGitCommitHash=$(git rev-parse HEAD) - git pull - newGitCommitHash=$(git rev-parse HEAD) + newGitCommitHash=$(git rev-parse master@{upstream}) + if [[ "${currentGitCommitHash}" != "${newGitCommitHas...
bash
d_bash_8307
--- +++ @@ -14,6 +14,6 @@ find . \( -name Makefile -o -name Makefile.in \) -print0 | xargs -0 rm -f rm -f svnrev.c rm -f *.o logwarn logwarn.1 -rm -f logwarn-*.tar.gz +rm -f logwarn-*.tar.gz logwarn.spec rm -rf a.out.* tags
bash
d_bash_8308
--- +++ @@ -2,7 +2,7 @@ ruby_archive="jruby-bin-$ruby_version.tar.gz" ruby_src_dir="jruby-$ruby_version" -ruby_mirror="${ruby_mirror:-http://jruby.org.s3.amazonaws.com/downloads}" +ruby_mirror="${ruby_mirror:-https://s3.amazonaws.com/jruby.org/downloads}" ruby_url="${ruby_url:-$ruby_mirror/$ruby_version/$ruby_ar...
bash
d_bash_8309
--- +++ @@ -1,5 +1,12 @@ #!/bin/bash -./venv/bin/pytest --nbval \ + +PYTEST=./venv/bin/pytest + +if [ "$TRAVIS" = true ]; then + PYTEST=pytest +fi + +$PYTEST --nbval \ notebooks/Example.ipynb \ notebooks/Diagnose-TCR-ECS.ipynb \ --sanitize notebooks/tests_sanitize.cfg
bash
d_bash_8310
--- +++ @@ -1,2 +1,12 @@ #!/bin/bash -taskwrapper --name oplog-dump --cmd /usr/local/bin/oplogdump --gearman-host $GEARMAN_HOST --gearman-port $GEARMAN_PORT +gearcmd --name oplog-dump --cmd /usr/local/bin/oplogdump --host $GEARMAN_HOST --port $GEARMAN_PORT & +pid=$! +# When we get a SIGTERM kill the child process an...
bash
d_bash_8311
--- +++ @@ -39,7 +39,7 @@ } WEBSPHERE_VERSION(){ - echo "8.5.5.0" + echo "9.0.0.0" } WILDFLY_VERSION(){
bash
d_bash_8312
--- +++ @@ -9,9 +9,9 @@ sudo apt-get install "linux-headers-`uname -r`" cd /opt -test -f 'VirtualBox-GuestAdditions-4.1.4.iso' || sudo wget 'http://download.virtualbox.org/virtualbox/4.1.4/VBoxGuestAdditions_4.1.4.iso' -O VirtualBox-GuestAdditions-4.1.4.iso +test -f 'VirtualBox-GuestAdditions-4.1.22.iso' || sudo ...
bash
d_bash_8313
--- +++ @@ -5,14 +5,10 @@ VALGRIND_DIR=VALGRIND_LOGS make valgrind_check NUM_FAILED_TESTS=`wc -l $VALGRIND_DIR/valgrind_failed_tests | awk '{print $1}'` -if [ $NUM_FAILED_TESTS -le '1' ]; then -{ - echo No tests have valgrind errors; - exit 0; -} +if [ $NUM_FAILED_TESTS -le 1 ]; then + echo No tests have valgri...
bash
d_bash_8314
--- +++ @@ -2,18 +2,21 @@ function init { dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" # set working directory + src=$dir/apps + out=$dir/upload + deb=$out/deb } function purge { cd $dir find . -name '*.DS_Store' -type f -delete find . -name '.deb' -type f -delete - rm -f $dir/upload/Package...
bash
d_bash_8315
--- +++ @@ -1,7 +1,8 @@ #!/usr/bin/env bash -echo -if [[ -n ${DRONE_COMMIT_REFSPEC} && ! ${DRONE_COMMIT_REFSPEC} =~ version\/noid\/.+ ]]; then +printenv + +if [[ -n ${DRONE_COMMIT_REFSPEC} && ! ${DRONE_COMMIT_REFSPEC} =~ version(\/noid)?\/([0-9.]+) ]]; then echo "Skip CA bundle check" exit 0 fi
bash
d_bash_8316
--- +++ @@ -1,7 +1,16 @@ #!/bin/sh -. /opt/jenkins/env/bin/activate -cp -f /opt/keys-pros/local_settings.py server/ +DES=/opt/jenkins/mala/server +ENV=/opt/jenkins/env +SET=/opt/keys-pros + +mkdir -p $DES +rm -rf $DES/* +cp -Rf server/* $DES/ +cp -Rf $SET/local_settings.py $DES/ + +cd $DES +. $ENV/bin/activate pi...
bash
d_bash_8317
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +SCRIPT_DIR=`dirname "$(cd ${0%/*} && echo $PWD/${0##*/})"` if [ -z $1 ]; then echo "Please specify username..." @@ -6,13 +8,14 @@ else user=$1 fi - +echo 'checking if zsh is installed...' zsh=$(which zsh) if [ -z $zsh ]; then echo 'no zsh...installing.' ...
bash
d_bash_8318
--- +++ @@ -2,5 +2,5 @@ ( sleep 3 - php /usr/local/share/lims2/cli/get_cron.php -u genee > /etc/cron.d/lims2 + php ${DOCKER_LIMS2_DIR}/cli/get_cron.php -u genee > /etc/cron.d/lims2 ) &
bash
d_bash_8319
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash -e +export MONGO_REPLICA_SET='' VENV_DIR=~/.virtualenvs/$(basename $(cd $(dirname $0) && pwd -P))-$1-$2 LOCK_DIR=./tmp-start
bash
d_bash_8320
--- +++ @@ -1,3 +1,18 @@ +# Use `hub` as our git wrapper: +# http://defunkt.github.com/hub/ +# +# I use JRuby substantially, and we want to make sure hub is run using MRI +# regardless of which Ruby you're using or else the `git status` in your prompt +# will take seven thousand seconds to run `ls`. +# +# I'm hardc...
bash
d_bash_8321
--- +++ @@ -3,7 +3,7 @@ CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" PANE_PID="$1" -CPID=$(pgrep -P $PANE_PID) +COMMAND_PID=$(pgrep -P $PANE_PID) exit_safely_if_empty_ppid() { if [ -z "$PANE_PID" ]; then @@ -12,8 +12,8 @@ } full_command() { - [[ -z "$CPID" ]] && exit 0 - cat /proc/${CP...
bash
d_bash_8322
--- +++ @@ -7,11 +7,11 @@ # ensure that tar archive of install4j exists cd ~/downloads -wget --quiet -nc http://download-keycdn.ej-technologies.com/install4j/install4j_unix_6_1_3.tar.gz +wget --quiet -nc http://download-keycdn.ej-technologies.com/install4j/install4j_unix_6_1_4.tar.gz # extract tar archive of i...
bash
d_bash_8323
--- +++ @@ -12,4 +12,4 @@ docker stop dockerizeit_jmaster_1 dockerizeit_jslave_1 echo "Start new master and slave container using provided docker-compose.yml" -docker-compose -p dockerizeit up -d +docker-compose -p dockerizeit up -d --force-recreate
bash
d_bash_8324
--- +++ @@ -1,13 +1,15 @@ echo "Start building Electron.NET dev stack..." + echo "Restore & Build API" -cd ElectronNet.API -dotnet restore -dotnet build --configuration Release --force /property:Version=5.22.12 -dotnet pack /p:Version=5.22.12 --configuration Release --force --output "%~dp0artifacts" -cd .. +cd Elec...
bash
d_bash_8325
--- +++ @@ -10,7 +10,7 @@ # Creates an integer version number from the semantic version format # May be changed when we decide to fully use semantic versions for releases integer_version=`cut -d "." -f1 release-version-semver/number` -echo $integer_version > integer_version +echo $integer_version > promote/integer...
bash
d_bash_8326
--- +++ @@ -9,7 +9,7 @@ fi case "$1" in - celery|cleanup|config|createuser|devserver|django|export|help|import|init|plugins|queues|repair|shell|start|upgrade) + celery|cleanup|config|createuser|devserver|django|export|help|import|init|plugins|queues|repair|shell|start|tsdb|upgrade) set -- sentry "$@" ;; ge...
bash
d_bash_8327
--- +++ @@ -1,7 +1,7 @@ mvn install:install-file \ -DgroupId=com.felipecsl \ -DartifactId=quickreturn \ --Dversion=1.0.$1-SNAPSHOT \ +-Dversion=1.1.$1-SNAPSHOT \ -DgeneratePom=true \ -Dpackaging=aar \ -Dfile=library/build/libs/library.aar \
bash
d_bash_8328
--- +++ @@ -4,10 +4,10 @@ go get github.com/Sirupsen/logrus -GOOS=linux GOARCH=386 go build -o ssh-plugin-linux-386 plugin.go -GOOS=linux GOARCH=amd64 go build -o ssh-plugin-linux-amd64 plugin.go -GOOS=windows GOARCH=386 go build -o ssh-plugin-win32.exe plugin.go -GOOS=windows GOARCH=amd64 go build -o ssh-plugin...
bash
d_bash_8329
--- +++ @@ -17,15 +17,15 @@ # function __sdk_env { - if [[ ! -f .sdkmanrc ]]; then - __sdkman_echo_red '.sdkmanrc not found.' + readonly sdkmanrc='.sdkmanrc' + + if [[ ! -f "$sdkmanrc" ]]; then + __sdkman_echo_red "$sdkmanrc not found." return 1 fi - local candidate version - - while IFS='=...
bash
d_bash_8330
--- +++ @@ -7,8 +7,8 @@ asdf plugin-add nodejs bash ~/.asdf/plugins/nodejs/bin/import-release-team-keyring -asdf install nodejs 12.13.0 -asdf global nodejs 12.13.0 +asdf install nodejs 14.0.0 +asdf global nodejs 14.0.0 ########################################################################### # Generalized
bash
d_bash_8331
--- +++ @@ -6,4 +6,4 @@ sed -i "s:download/v[^\/]*/:download/vX.X.X/:" Dockerfile git add VERSION Dockerfile git commit -m "prepare release ${NEW_VERSION}" - +git push origin master
bash
d_bash_8332
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash -sudo apt-get install -y emacs +sudo apt-get install -y emacs socat git clone https://github.com/syl20bnr/spacemacs ~/.emacs.d
bash
d_bash_8333
--- +++ @@ -2,8 +2,6 @@ # This script makes sure that Jenkins can properly run your tests against your # codebase. set -e - -DB_USER="hudson" echo "Starting build on executor $EXECUTOR_NUMBER..."
bash
d_bash_8334
--- +++ @@ -10,7 +10,7 @@ if [ "$BACKEND_ENABLED" == "True" ]; then python manage.py install_postgres_extensions - python manage.py migrate + python manage.py migrate --noinput python manage.py loaddata initial_groups.json python manage.py loaddata initial_category.js...
bash
d_bash_8335
--- +++ @@ -5,7 +5,7 @@ then alias ls="gls -F --color" alias l="gls -lAh --color" - alias ll="gls -l --color" + alias ll="gls -al --color" alias la='gls -A --color' fi
bash
d_bash_8336
--- +++ @@ -5,3 +5,6 @@ # Find out the major device number used by the nvidia-uvm driver mknod -m 666 /dev/nvidia-uvm c $(grep nvidia-uvm /proc/devices | awk '{print $1}') 0 fi + +# Enable persistence mode +nvidia-smi -pm 1
bash
d_bash_8337
--- +++ @@ -30,6 +30,7 @@ # Install everything else brew install fasd brew install git +brew install gist brew install git-extras brew install go brew install node @@ -39,6 +40,7 @@ brew install tree brew install hub brew install pkg-config +brew install ag # Install OpenCV brew install homebrew/science/...
bash
d_bash_8338
--- +++ @@ -6,7 +6,7 @@ fi # Warn the user on the first login shell in case we detect a too old Windows version -function _warn_deprecated_winver() +_warn_deprecated_winver() { if [ "$__MSYS2_WINDOWS_VERSION_WARNING_DONE" = "true" ]; then return;
bash
d_bash_8339
--- +++ @@ -1,10 +1,5 @@ #!/usr/bin/env bash # This is a script for bootstrapping OS X setup - -if ! which xcodebuild &> /dev/null; then - echo "Attempting to install the Xcode developer tools" - $(xcode-select --install) -fi if [[ ! -e "../manage.sh" ]]; then echo "Make sure you have the manage scrip...
bash
d_bash_8340
--- +++ @@ -1,4 +1,5 @@ #!/usr/bin/bash cd $(dirname $0) -./report.py | mutt bdamos@vt.edu -s "Conference Status for $(date +%Y-%m-%d)" +./report.py | mutt cs-conference-tracker@googlegroups.com \ + -s "Conference Status for $(date +%Y-%m-%d)"
bash
d_bash_8341
--- +++ @@ -24,6 +24,14 @@ time ./makeAcornSpreadsheet.sh -tld echo "" +# csvformat breaks in scripts run by a launchd.plist +# It can't find csvformat and can't deal with UTF-8 +if [ ! -e "$(which csvformat 2>/dev/null)" ]; then + PATH=${PATH}:/usr/local/bin +fi +# +export LC_ALL=en_US.UTF-8 +# echo "------...
bash
d_bash_8342
--- +++ @@ -22,7 +22,7 @@ TOPDIR=`llvm-config --src-root` if test -d "$TOPDIR" ; then cd $TOPDIR - ./utils/llvmdo -dirs "include lib tools test utils examples" wc -l | awk '\ + ./utils/llvmdo -dirs "include lib tools test utils examples" -code-only wc -l | awk '\ BEGIN { loc=0; } \ { loc += $1; }...
bash
d_bash_8343
--- +++ @@ -2,18 +2,18 @@ PIPENV_VENV_IN_PROJECT=1 -python --version > /dev/null 2>&1 +python3 --version > /dev/null 2>&1 if [ $? != 0 ] then - echo Cannot find Python executable, make sure it is installed and added to your PATH. + echo Cannot find Python3 executable, make sure it is installed and added ...
bash
d_bash_8344
--- +++ @@ -8,6 +8,12 @@ fi } + isShell(){ + case $TERM in + xterm|cygwin|rxvt) echo true ;; + esac + } + isWindows(){ if [[ $(System getOS) =~ NT ]]; then echo true
bash
d_bash_8345
--- +++ @@ -12,11 +12,7 @@ if [[ "$PACKAGE_MANAGER" == "brew" ]]; then ./configure --prefix="$INSTALL_DIR" \ - --with-openssl-dir=`brew --prefix openssl` \ - --with-readline-dir=`brew --prefix readline` \ - --with-yaml-dir=`brew --prefix libyaml` \ - --with-gdbm-dir=`brew --prefix gdbm`...
bash
d_bash_8346
--- +++ @@ -3,7 +3,7 @@ until sudo dnf -y update; do echo "Waiting for repository lock"; sleep 5; done # supposedly, this is the newer way to install pip -sudo dnf -y install python-pip python-devel libffi-devel openssl-devel gcc redhat-rpm-config sshpass +sudo dnf -y install python-pip python-devel libffi-devel ...
bash
d_bash_8347
--- +++ @@ -5,7 +5,7 @@ example_tmp/node_modules/.bin/appium --session-override > appium.out & ;; linux) - echo no | android create avd --force -n test -t android-21 --abi armeabi-v7a --skin WVGA800 + android create avd --force -n test -t android-21 --abi armeabi-v7a --skin WVGA800 emulator -avd...
bash
d_bash_8348
--- +++ @@ -23,4 +23,7 @@ {% if account -%} #SBATCH --account={{account}} {% endif -%} +{% if qualityOfService -%} +#SBATCH --qos={{qualityOfService}} +{% endif -%}
bash
d_bash_8349
--- +++ @@ -1,3 +1,3 @@ #!/usr/bin/env bash -restic -p "$HOME/.vault/restic-password-file" -r sftp:fetcher@10.0.0.101:/mnt/data/backup-targets/ --exclude-file "$HOME/.vault/restic-exclude" --verbose backup "$HOME/" +restic -p "$HOME/.vault/restic-password-file" -r sftp:fetcher@brix:/mnt/data/backup-targets/ --excl...
bash
d_bash_8350
--- +++ @@ -10,7 +10,7 @@ mkdir -p "$BUILDDIR" # for each extension -for EXT in "$EXTS" +for EXT in $EXTS do # make sure it exists [ ! -d "$EXT" ] && {
bash
d_bash_8351
--- +++ @@ -16,5 +16,5 @@ } dockerBuild android-sdk 28 android/sdk -dockerBuild android-ndk 28_14b android/ndk -dockerBuild android 28_14b android +dockerBuild android-ndk 28_20 android/ndk +dockerBuild android 28_20 android
bash
d_bash_8352
--- +++ @@ -2,6 +2,6 @@ echo -n "Update started at " date echo "Running market updater" && -timeout 10m ./market-stuff.py 4-07MU EX6-AO && \ +timeout 10m ./market-stuff.py I-CUVX && \ echo "Market updater finished" && scp id_list.js market.css *.html sound_market:
bash
d_bash_8353
--- +++ @@ -7,8 +7,9 @@ export PATH="/usr/bin:${PATH}" export PYTHON="/c/Python27/python" elif [ "$TRAVIS_OS_NAME" = "osx" ]; then - # MacOS still needs zeromq and yarn installed. - brew update && brew install yarn + # MacOS still needs a few things to be installed. + brew update && brew install yarn coreu...
bash
d_bash_8354
--- +++ @@ -15,11 +15,6 @@ fi done -command -v tmux >/dev/null 2>&1 \ - || [ -x "$HOME/.nmk/local/bin/tmux" ] \ - || echo "not found tmux, is \$NMK_DIR/local setup correctly?" \ - && exec $_LOGIN_SHELL -l - # Make sure that byobu doesn't take over our login shell exec env BYOBU_DISABLE=1 $_LOGIN_SH...
bash
d_bash_8355
--- +++ @@ -6,7 +6,5 @@ PYTHON_VERSION_FILTERS=--test_tag_filters=-py2only fi -# End-to-end tests must be marked "large". They exceed Travis CI's 3GB RAM limit. -bazel test --test_output=errors --local_test_jobs=1 \ - --test_size_filters=small,medium $PYTHON_VERSION_FILTERS \ +bazel test --test_output=errors...
bash
d_bash_8356
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash while [ true ]; do - phpunit -c phpunit.xml + ../vendor/bin/phpunit -c phpunit.xml sleep 3 done
bash
d_bash_8357
--- +++ @@ -15,5 +15,5 @@ bb_extract_build bb_reboot_phones # TODO(peter@): Replace this with a test call -print "@@@BUILD_STEP TODO Run WebKit tests@@@" +echo "@@@BUILD_STEP TODO Run WebKit tests@@@" bb_print_logcat
bash
d_bash_8358
--- +++ @@ -10,7 +10,7 @@ example/*.dart # Verify that all the tests pass. -pub run test +pub run --checked test/all_tests.dart # Verify the coverage of the tests. if [ "$COVERALLS_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then
bash
d_bash_8359
--- +++ @@ -8,7 +8,7 @@ buildpacks-ci/scripts/start-docker -pushd rootfs +pushd cflinuxfs2 cp ../cflinuxfs2-artifacts/"$STACK"-*.tar.gz "$STACK.tar.gz" bundle install --jobs="$(nproc)"
bash
d_bash_8360
--- +++ @@ -7,8 +7,10 @@ echo -n "on the console of the VM: " read ELK_IP +cd ~ forensicator-fate/scripts/install-pyelasticsearch.sh ${ELK_IP} forensicator-fate/scripts/create-shares.sh forensicator-fate/scripts/install-jenkins.sh forensicator-fate/scripts/install-pg.sh ${ELK_IP} forensicator-fate/scripts/in...
bash
d_bash_8361
--- +++ @@ -7,6 +7,6 @@ mkdir -p /var/uploads test -d /var/db || (mkdir -p /var/db && echo $CURRENT_VERSION > /var/VERSION) -./niscud --fork --logpath /var/mongod.log --dbpath /var/db --noauth --bind_ip 127.0.0.1 --nohttpinterface --noprealloc +./niscud --fork --logpath /var/mongod.log --dbpath /var/db --noauth -...
bash
d_bash_8362
--- +++ @@ -4,6 +4,22 @@ # under the terms of the GNU Lesser General Public License as published by # the Free Software Foundation; either version 2.1 of the License, or # (at your option) any later version. + +if [ "${1}" == "-h" -o "${1}" == "--help" ]; then + cat <<EOF + +Usage: ${0} + + The script galera...
bash
d_bash_8363
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash # # re-signer.sh # Resigns an apk with debug information @@ -11,10 +11,11 @@ # keytool -genkey -v -keystore debug.keystore \ # -alias androiddebugkey -keyalg RSA -keysize 2048 -validity 20000 -if [ "$1" == "" ]; then - echo Please pass me an apk - exit 1 ...
bash
d_bash_8364
--- +++ @@ -1,7 +1,11 @@ #!/usr/bin/env bash set -e -checksum="`basename pivotal-buildpacks-cached/*_buildpack-cached-v*.zip`.checksum" -echo md5: "`md5sum *_buildpack-cached-v*.zip`" > pivotal-buildpacks-cached/$checksum -echo sha256: "`sha256sum *_buildpack-cached-v*.zip`" >> pivotal-buildpacks-cached/$checksum...
bash
d_bash_8365
--- +++ @@ -1,12 +1,26 @@ #! /bin/sh -cd /opt/scribeui/application/workspaces/portail/demo/data/ -FILE=ftp://ftp.mrn.gouv.qc.ca/public/gestim/telechargements/Province_shape/titres_titles`date --date='3 days ago' +"%y-%m-%d"`.zip -wget $FILE -rm -r titles titles.shp +FILE=titres_titles`date --date='3 days ago' +"...
bash
d_bash_8366
--- +++ @@ -7,11 +7,13 @@ # Copy default config from cache if [ ! "$(ls -A /etc/ssh)" ]; then cp -a /etc/ssh.cache/* /etc/ssh/ + chmod 400 /etc/ssh/*_key fi # If no ssh keys, copy again if ! ls /etc/ssh/ssh_host_* 1> /dev/null 2>&1; then cp -a /etc/ssh.cache/ssh_host_* /etc/ssh/ + chmod 400 /etc/ss...
bash
d_bash_8367
--- +++ @@ -19,6 +19,7 @@ # Sync with S3 echo "+ Syncing with S3" -s3cmd sync -v $DIR/static_site/$RESERVE_SITE s3://data.gov.uk/ +cd $DIR/static_site/$RESERVE_SITE +s3cmd sync -v . s3://data.gov.uk/
bash
d_bash_8368
--- +++ @@ -13,8 +13,6 @@ --no-instrument=server/controller.suffix.js \ --no-instrument=server/model.prefix.js \ --no-instrument=server/model.suffix.js \ - --no-instrument=server/router.prefix.js \ - --no-instrument=server/router.suffix.js \ --no-ins...
bash
d_bash_8369
--- +++ @@ -5,7 +5,7 @@ VAR=IMAGE docker_select_image VAR=CONTAINER_NAME docker_enter_container_name -VAR=LOCALPATH DESC="sftp user root" PLACEHOLDER="/docker/www/$(date +"%Y-%M")/" docker_enter_dir +VAR=LOCALPATH DESC="sftp user root" PLACEHOLDER="/docker/www/$(date +"%Y-%m")/" docker_enter_dir VAR=SSH_PORT DES...
bash
d_bash_8370
--- +++ @@ -30,5 +30,5 @@ _prompt_section \ "$SPACESHIP_GIT_BRANCH_COLOR" \ - "$SPACESHIP_GIT_BRANCH_PREFIX$(git_current_branch)$SPACESHIP_GIT_BRANCH_SUFFIX" + "$SPACESHIP_GIT_BRANCH_PREFIX${git_current_branch}$SPACESHIP_GIT_BRANCH_SUFFIX" }
bash
d_bash_8371
--- +++ @@ -1,8 +1,10 @@ #!/bin/bash normal=$(tput sgr0) +dim=$(tput dim) bold=$(tput bold) underline=$(tput smul) +blink=$(tput blink) #Colors fg_black=$(tput setaf 0)
bash
d_bash_8372
--- +++ @@ -7,9 +7,9 @@ else QUAY_TAG="${TRAVIS_TAG}" - docker tag -f "quay.io/wikiwatershed/rwd:${TRAVIS_COMMIT:0:7}" "quay.io/wikiwatershed/rwd:${QUAY_TAG}" + docker tag "quay.io/wikiwatershed/rwd:${TRAVIS_COMMIT:0:7}" "quay.io/wikiwatershed/rwd:${QUAY_TAG}" fi docker push "quay.io/wikiwatershed/rwd:${Q...
bash
d_bash_8373
--- +++ @@ -5,4 +5,5 @@ set -e git checkout master +git pull origin master git push "ssh://git@gitolite.word-ac.net/${REPOSITORY_NAME}" master
bash
d_bash_8374
--- +++ @@ -13,10 +13,10 @@ echo -e 'Build Branch for Release => Branch ['$CIRCLE_BRANCH'] Tag ['$CIRCLE_TAG']' case "$CIRCLE_TAG" in *-rc\.*) - ./gradlew -Prelease.disableGitChecks=true -Prelease.useLastTag=true clean build candidate $SWITCHES + ./gradlew -Prelease.disableGitChecks=true -Prelease.ver...
bash
d_bash_8375
--- +++ @@ -9,6 +9,6 @@ ./build.sh ./gradlew publish -zip -r tools.zip tools/*.py \ - && aws s3 cp --acl public-read ./tools.zip s3://downloads.mesosphere.io/dcos-commons/tools.zip \ - && rm tools.zip +tar czvf tools.tgz tools/*.py \ + && aws s3 cp --acl public-read ./tools.tgz s3://downloads.mesosphere....
bash
d_bash_8376
--- +++ @@ -38,7 +38,8 @@ prepend_PATHs "$HOME/local" prepend_PATHs "$DOTFILES" -PATH=$(prepend_colon ".local/bin" $PATH) +# very specific +prepend_PATHs "$HOME/Documents/wiki/.local" #-------------------------------------------------
bash
d_bash_8377
--- +++ @@ -1,13 +1,10 @@ #!/bin/bash -start_parseltongue.sh THREAD11 11 /data2/shubhankar/gadpu/exec_thread_1.py +#start_parseltongue.sh THREAD11 11 /data2/shubhankar/gadpu/exec_thread_1.py -if false -then i=11 -while [ $i -lt 12 ] +while [ $i -lt 16 ] do - start_parseltongue.sh THREAD$i/ $vinay ../exec_thr...
bash
d_bash_8378
--- +++ @@ -20,11 +20,22 @@ require "json" require "open-uri" + # https://github.com/ruby/ruby/commit/05aac90a1bcfeb180f5e78ea8b00a4d1b04d5eed + # https://bugs.ruby-lang.org/issues/15893 + # for Ruby 2.5+, we should use "URI.open", but for Ruby 2.4 we still need to use "open(...)" directly + def openURI(uri) + ...
bash
d_bash_8379
--- +++ @@ -8,6 +8,9 @@ # The first parameter is the architecture # The second parameter is the stage name + +# Next line is for debugging purpose. We suspect that multiple slaves uses the same dinectory. +touch ${1} CACHE="${BOOTSTRAP_CACHE:-bootstrap-cache}" @@ -28,5 +31,11 @@ mv $CHANGES_FILE Pharo.chang...
bash
d_bash_8380
--- +++ @@ -10,5 +10,8 @@ mv docs/build/_static docs/build/static sed -i '' 's/_static/static/g' docs/build/index.html +sed -i '' 's/_static/static/g' docs/build/genindex.html +sed -i '' 's/_static/static/g' docs/build/py-modindex.html +sed -i '' 's/_static/static/g' docs/build/search.html pip uninstall python...
bash
d_bash_8381
--- +++ @@ -5,7 +5,7 @@ exit 1 else # cpu=$(ps -A -o pcpu | tail -n+2 | paste -sd+ | bc) - cpu=$(iostat -c 1 2 | tail -n 3 | head -n 1 | awk '{usage=100-$NF} END {printf("%.1f%%", usage)}' | sed 's/,/./') + cpu=$(iostat -c 1 2 | tail -n 4 | head -n 1 | awk '{usage=100-$NF} END {printf("%.1f%%", usage)}' | sed 's...
bash
d_bash_8382
--- +++ @@ -6,7 +6,7 @@ PGSQL_PORT=9823 ${PGSQL_PATH}/initdb ${PGSQL_DATA} LANGUAGE=C ${PGSQL_PATH}/pg_ctl -w -D ${PGSQL_DATA} -o "-k ${PGSQL_DATA} -p ${PGSQL_PORT}" start > /dev/null -export GNOCCHI_TEST_PGSQL_URL="postgresql:///?host=${PGSQL_DATA}&port=${PGSQL_PORT}&dbname=template1" +export GNOCCHI_TEST_PGSQL_U...
bash
d_bash_8383
--- +++ @@ -23,7 +23,7 @@ ./buildconf ./configure make clean -make -j$(nproc) all +make CFLAGS= -j$(nproc) all # Build the fuzzer. $CXX $CXXFLAGS -std=c++11 -I. \
bash
d_bash_8384
--- +++ @@ -3,3 +3,6 @@ # Set permissions properly, since appspec.yml gets this wrong. chown -R ricsun:web /vol/www/richmondsunlight.com/ chmod -R g+w /vol/www/richmondsunlight.com/ + +# Expire the cached template (in case we've made changes to it). +echo "delete template-new" | nc localhost 11211
bash
d_bash_8385
--- +++ @@ -6,7 +6,7 @@ MYIP=`curl -s $URL` if [[ $MYIP =~ ^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$ ]]; then - cli53 rrcreate --replace $ZONE "$RECORD A $MYIP" + ./cli53 rrcreate --replace $ZONE "$RECORD A $MYIP" else echo "Invalid IP returned from: $URL" fi
bash
d_bash_8386
--- +++ @@ -7,11 +7,22 @@ POSTGRES_PORT=5432 MYSQL_PORT=3306 +MYSQL_VERSION=`mysqld --version|awk '{print $3}'` LDAP_PORT=389 PORTS=($POSTGRES_PORT $MYSQL_PORT $LDAP_PORT) timeout=12 su postgres -c 'postgres -D /usr/local/pgsql/data' & +# we need to check the version of mysql as behavior has changed with 5....
bash
d_bash_8387
--- +++ @@ -3,7 +3,7 @@ case "$1" in java8) - echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u262-b10/OpenJDK8U-jdk_x64_linux_hotspot_8u262b10.tar.gz" + echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u265-b01/OpenJDK8U-jdk_x64_linux_hotspot_8u265b...
bash
d_bash_8388
--- +++ @@ -18,8 +18,8 @@ for user in admin demo; do source "$openrc" "$user" "$user" openstack keypair create --public-key "$pubkey_file" default - openstack security group rule create --proto icmp --dst-port -1 --src-ip 0.0.0.0/0 default - openstack security group rule create --...
bash
d_bash_8389
--- +++ @@ -23,7 +23,7 @@ # set last node as default nvm alias default node # install some useful global packages -npm install -g http-server livereload eslint cordova grunt-cli +npm install -g http-server livereload echo "Close and reopen your terminal to start using nvm";
bash
d_bash_8390
--- +++ @@ -1,7 +1,7 @@ function gi() { curl http://www.gitignore.io/api/$@ ;} _gitignireio_get_command_list() { - curl -s http://gitignore.io/api/list | tr "," "\n" + curl -s http://www.gitignore.io/api/list | tr "," "\n" } _gitignireio () {
bash
d_bash_8391
--- +++ @@ -1,5 +1,9 @@ #!/bin/bash PKG_DIR=$(dirname $(dirname $(readlink -f $0))) +if [ -z "$PKG_DIR" ] +then + PKG_DIR=$(dirname $(dirname $0)) +fi export PATH=$PKG_DIR/node_modules/.bin:$PWD/node_modules/.bin:$PATH export NODE_ENV=test
bash
d_bash_8392
--- +++ @@ -19,7 +19,7 @@ # Arguments: # - all: message to write function os::log::warn() { - os::text::print_yellow "[WARNING] $*\n" 1>&2 + os::text::print_yellow "[WARNING] $*" 1>&2 } readonly -f os::log::warn @@ -30,7 +30,7 @@ # Arguments: # - all: message to write function os::log::error() { - os::tex...
bash
d_bash_8393
--- +++ @@ -4,8 +4,8 @@ echo "Build is not a release, skipping CD" >&2; exit 0 fi -if [ -z "$DOCKERIO_USERNAME" -o -z "$DOCKERIO_PASSWORD" ]; then - echo "No docker.io credentials configured, unable to publish builds" >&2; exit 1 +if [ -z "$DOCKER_USERNAME" -o -z "$DOCKER_PASSWORD" ]; then + echo "No docker c...
bash
d_bash_8394
--- +++ @@ -4,6 +4,8 @@ FQDN=$(hostname -f) IPADDR=$(hostname -i) + +ipa-server-install --unattended --uninstall ipa-replica-install \ --server $FREEIPA_TO_REPLICATE \ @@ -20,6 +22,7 @@ --mkhomedir \ --ip-address $IPADDR \ --auto-forwarders \ + --force-join ...
bash
d_bash_8395
--- +++ @@ -31,3 +31,4 @@ if [[ -f /usr/local/share/zsh/site-functions/_aws ]]; then source /usr/local/share/zsh/site-functions/_aws fi +
bash
d_bash_8396
--- +++ @@ -10,6 +10,7 @@ packages=( aptitude bash-completion + build-essential dialog landscape-common lynx @@ -18,6 +19,7 @@ nethogs ntp pv + python-dev screen sysv-rc-conf tig
bash
d_bash_8397
--- +++ @@ -12,3 +12,4 @@ wget http://repos.mesosphere.com/debian/pool/main/m/mesos/mesos_1.1.0-2.0.107.debian81_amd64.deb -O /tmp/mesos.deb dpkg -i /tmp/mesos.deb +rm -f /tmp/mesos.deb
bash
d_bash_8398
--- +++ @@ -1,6 +1,4 @@ # Explicitly source git flow completion (if it exists) - -set -e completion="$(brew --prefix)/share/zsh/site-functions/git-flow-completion.zsh"
bash
d_bash_8399
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -rvm ruby-1.8.7@mongoid ruby -S bundle install || exit $? -rvm ruby-1.9.1@mongoid ruby -S bundle install || exit $? -rvm ruby-1.9.2@mongoid ruby -S bundle install || exit $? -rvm ree@mongoid ruby -S bundle install || exit $? -rvm 1.8.7@mongoid,1.9.1,1.9.2,ree...
bash